use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

require 5.6.0;

use Config;

sub MY::c_o
{
    package MY; # so that "SUPER" works right
    my $inherited = shift->SUPER::c_o(@_);
    $inherited =~ s/\$\*\.c/\$\(C_FILES\)/; 
    $inherited;
    }

my $def = $Config{usethreads} ? "-DPROCESSTABLE_THREAD" : "";
WriteMakefile (
    NAME         => "Proc::ProcessTable",
    VERSION_FROM => "ProcessTable.pm", # finds $VERSION
    LIBS         => [""],   # e.g., "-lm" 
    DEFINE       => $def,   # e.g., "-DHAVE_SOMETHING" 
    INC          => "",     # e.g., "-I/usr/include/other" 
    LDFROM       => '$(O_FILES)',
    OBJECT       => "ProcessTable.o OS.o",
    PREREQ_PM    => { "File::Find" => 0,
		      "Storable"   => 0,
		      },
    clean        => { FILES        => "OS.c",
		      },
    dist         => { COMPRESS     => "gzip",
		      SUFFIX       => "gz",
		      }
    );

1;
